Bug 169588 - Use udev edd mappings during installs
Use udev edd mappings during installs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-29 19:00 EDT by John A. Hull
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-06 03:26:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John A. Hull 2005-09-29 19:00:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
I worked with the udev community to get a new utility added that provides an EDD ID --> block device mapping for udev. If the edd module is loaded, udev will check all of the block devices in the system, and provide the appropriate persistent device mapping for each device (similar to what anaconda does itself). I'd like Anaconda to use this method for finding udev devices instead of the current method. 

The udev tree for the edd_id program is here: http://www.kernel.org/git/?p=linux/hotplug/udev.git;a=tree;h=74e3949da4cc1f2151165925fb31c1bc68e75675;hb=9bd72b9b6b2645ea3c36ef0be9a070e8ff67904f;f=extras/edd_id

Working udev rules are here: http://linux.dell.com/files/edd/udev/60-edd.rules

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
None

Additional info:
Comment 1 Harald Hoyer 2005-10-06 02:49:19 EDT
KERNEL=="[sh]d*[!0-9]", ACTION=="add", IMPORT="/sbin/edd_id --export $tempnode",
SYMLINK+="disk/by-edd-id/$env{ID_EDD}"
KERNEL=="[sh]d*[0-9]", ACTION=="add", IMPORT{parent}=="ID_EDD",
SYMLINK+="disk/by-edd-id/$env{ID_EDD}-part%n"

Aren't two lines enough? Also note the "-part" to be consistent with the other
rules.
Comment 2 Harald Hoyer 2005-10-06 03:26:12 EDT
KERNEL=="[sh]d*[!0-9]", ACTION=="add", IMPORT="/sbin/edd_id --export $tempnode",
SYMLINK+="disk/by-edd-id/$env{ID_EDD}"
KERNEL=="[sh]d*[0-9]", ACTION=="add", IMPORT{parent}=="ID_EDD",
ENV{ID_EDD}=="?*", SYMLINK+="disk/by-edd-id/$env{ID_EDD}-part%n"

added the test ENV{ID_EDD}=="?*" for the empty $ID_EDD case.

Now you only have to convince the kernel component to statically include the edd
module (or rc.sysinit to load it before start_udev) and the mkinitrd and
anaconda component to include edd_id (edd_id.static included in udev). :-)

Note You need to log in before you can comment on or make changes to this bug.